#pragma once

#define AVERAGER_NUM_OF_THREADS							(1<<8)
#define KT_NUM_OF_THREADS								MAX_NUM_OF_THREADS_PER_DIM
#define AVERAGER_SMEM_PER_BLOCK							(1<<9) * sizeof(TYPE)
#define KT_SMEM_PER_BLOCK								MAX_SIZE_OF_SMEM_PER_BLOCK
#define NUM_OF_AVERAGES_BEFORE_LOG_SERIALIZATION_LIMIT	(1<<5)
